CROSS_COMPILE     = mips-linux-
COMPILER_LOCATION = /home/operaonb/uclibc-toolchain/ifx-lxdb-1-2/gcc-3.4.4/toolchain-mips-sf/bin-ccache/
export PATH := $(COMPILER_LOCATION):$(PATH)

CC        = $(CROSS_COMPILE)gcc
GCCV     := -DGCCV="\"$(shell $(COMPILER_LOCATION)$(CC) --version | head -1)\""

CFLAGS    = $(GCCV) -O2 -march=mips32r2 -mtune=24kec -Wa,-march=mips32r2 -Wa,-mtune=24kec -G 0 -mabi=32 -mlong-calls


tracedaemon: TraceDaemon.o ../LibUserTrace/UserTrace.o
	$(CC) $(CFLAGS) TraceDaemon.o ../LibUserTrace/UserTrace.o -o tracedaemon

TraceDaemon.o: TraceDaemon.c
	$(CC) -c $(CFLAGS) -I../Include TraceDaemon.c

